Bug 513220 (CVE-2009-2476) - CVE-2009-2476 OpenJDK OpenType checks can be bypassed (6736293)
Summary: CVE-2009-2476 OpenJDK OpenType checks can be bypassed (6736293)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2476
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=sun,public=20090805...
Depends On: 513391 513392 515682 515683
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-22 15:29 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 22:48:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1200 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-08-06 20:41:36 UTC
Red Hat Product Errata RHSA-2009:1201 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2009-08-06 21:14:44 UTC

Comment 2 Murray McAllister 2009-08-06 13:01:27 UTC
It was discovered that OpenType checks can be bypassed. This could allow a
rogue application to bypass access restrictions by acquiring references to
privileged objects through finalizer resurrection.

http://sunsolve.sun.com/search/document.do?assetkey=1-21-125139-16-1

Comment 3 errata-xmlrpc 2009-08-06 20:42:14 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1200 https://rhn.redhat.com/errata/RHSA-2009-1200.html

Comment 4 errata-xmlrpc 2009-08-06 21:15:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1201 https://rhn.redhat.com/errata/RHSA-2009-1201.html

Comment 5 Fedora Update System 2009-08-07 04:59:07 UTC
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-08-07 05:01:51 UTC
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.